<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="utf-8" />
	<title>Home</title>
	<link rel="stylesheet" href="../../css/bootstrap.min.css">
</head>

<body>
	<div class="container">
		<div class="row">
			<h2>Update Trade</h2>
		</div>

		<div class="row">
			<form action="#" th:action="@{/trade/update/{id}(id=${trade.tradeId})}" th:object="${trade}" method="post"
				class="form-horizontal" style="width: 100%">
				<div class="form-group">
					<label for="account" class="col-sm-2 control-label">Account</label>
					<div class="col-sm-10">
						<input type="text" th:field="*{account}" id="account" placeholder="Account" class="col-4">
						<p class="text-danger" th:if="${#fields.hasErrors('account')}" th:errors="*{account}"></p>
					</div>
					<div class="form-group">
						<label for="type" class="col-sm-2 control-label">Type</label>
						<div class="col-sm-10">
							<input type="text" th:field="*{type}" id="type" placeholder="Type" class="col-4">
							<p class="text-danger" th:if="${#fields.hasErrors('type')}" th:errors="*{type}"></p>
						</div>
					</div>
					<div class="form-group">
						<label for="buyQuantity" class="col-sm-2 control-label">Buy Quantity</label>
						<div class="col-sm-10">
							<input type="number" step="0.01" th:field="*{buyQuantity}" id="buyQuantity"
								placeholder="Buy Quantity" class="col-4">
							<p class="text-danger" th:if="${#fields.hasErrors('buyQuantity')}"
								th:errors="*{buyQuantity}">
							</p>
						</div>
					</div>
					<div class="form-group">
						<div class="col-sm-12">
							<a class="btn btn-danger btn-sm" href="/trade/list">Cancel</a>
							<input class="btn btn-primary btn-sm" type="submit" value="Update trade">
						</div>
					</div>
			</form>
		</div>

	</div>
</body>

</html>